Subject: Re: iproute2: git pull request from debian repo.

From: Andreas Henriksson <[email-masked]>
Date: Tue, 23 Oct 2007 17:27:22 +0200

On Tue, Oct 23, 2007 at 05:08:10PM +0200, Patrick McHardy wrote:
> Andreas Henriksson wrote:
> >On Tue, Oct 23, 2007 at 04:38:06PM +0200, Patrick McHardy wrote:
> >>Almost - the default behaviour shouldn't change IMO. Also please
> >>send a complete patch, not one on top of your old one.
> >
> >Which "default behaviour"? ip addr flush or ip neigh flush behaviour?
> >Both of those should behave the same IMHO.
> 
> In both cases your changed behaviour should be optional and it should
> default to the old behaviour. Not actually flushing completely when the
> user specified "flush" is counter-intuitive.
> 

I did not change the behaviour in both cases! I'm only sending in a change
for ip addr flush to make it match how ip neigh flush already works!
Two different behaviours -> one change -> same behaviour for both.
I've mentioned this multiple times already... I don't know how to express
myself in another/better way about this.

> >Defaulting to never bail out is causing problems in a bunch of firewalling
> >frontends which has been reported multiple times to both debian and ubuntu
> >(and possibly others I don't know about), and looping forever causes the
> >bootup to never finish.
> >Thats my reason for advocating not selecting the "loop forever" as the
> >default choice.
> 
> Then those frontends should add "maxrounds N" if they want to abort
> before the flush is complete.
> 

So you prefer that I rather change the default for ip neigh flush, then touch
ip addr flush? Making the problematic version the default for both, and
changing every application out there who uses any of these two functions.
Sorry, I'll pass on that one and let someone else do it if it's the preferred
solution.

-- 
Regards,
Andreas Henriksson